package com.adventurer_engine.util.blockbench;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import by;
import com.adventurer_engine.util.INBTable;
import com.adventurer_engine.util.IReadJsonable;
import com.adventurer_engine.util.JsonHelper;
import com.adventurer_engine.util.blockbench.BBModelElement;

public class FaceUV implements INBTable, IReadJsonable {
  public int[] uv;
  
  public int textureId;
  
  public FaceUV(JsonHelper json) {
    readJson(json);
  }
  
  public FaceUV(by nbt) {
    readNBT(nbt);
  }
  
  public void readNBT(by nbt) {
    this.uv = nbt.k("uv");
    this.textureId = nbt.e("texture");
  }
  
  public by writeNBT() {
    by nbt = new by();
    nbt.a("uv", this.uv);
    nbt.a("texture", this.textureId);
    return nbt;
  }
  
  public void readJson(JsonHelper json) {
    this.uv = json.getIntArray("uv");
    this.textureId = json.getInt("texture");
  }
}
